Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Class ObjectFactory

    java.lang.Object
      be.fgov.ehealth.genericinsurability.core.v1.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.genericinsurability.core.v1 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.genericinsurability.core.v1

Method Summary
`CareProviderType` | `createCareProviderType()` Create an instance of `CareProviderType`
`CareReceiverDetailType` | `createCareReceiverDetailType()` Create an instance of `CareReceiverDetailType`
`CareReceiverIdType` | `createCareReceiverIdType()` Create an instance of `CareReceiverIdType`
`CommonInputType` | `createCommonInputType()` Create an instance of `CommonInputType`
`CommonOutputType` | `createCommonOutputType()` Create an instance of `CommonOutputType`
`DetailsType` | `createDetailsType()` Create an instance of `DetailsType`
`DetailType` | `createDetailType()` Create an instance of `DetailType`
`GeneralSituationType` | `createGeneralSituationType()` Create an instance of `GeneralSituationType`
`HospitalizedType` | `createHospitalizedType()` Create an instance of `HospitalizedType`
`IdType` | `createIdType()` Create an instance of `IdType`
`InsurabilityItemType` | `createInsurabilityItemType()` Create an instance of `InsurabilityItemType`
`InsurabilityListType` | `createInsurabilityListType()` Create an instance of `InsurabilityListType`
`InsurabilityRequestDetailType` | `createInsurabilityRequestDetailType()` Create an instance of `InsurabilityRequestDetailType`
`InsurabilityResponseDetailType` | `createInsurabilityResponseDetailType()` Create an instance of `InsurabilityResponseDetailType`
`LicenseType` | `createLicenseType()` Create an instance of `LicenseType`
`MedicalHouseType` | `createMedicalHouseType()` Create an instance of `MedicalHouseType`
`MessageFaultType` | `createMessageFaultType()` Create an instance of `MessageFaultType`
`MessageType` | `createMessageType()` Create an instance of `MessageType`
`MultiIOType` | `createMultiIOType()` Create an instance of `MultiIOType`
`NihiiType` | `createNihiiType()` Create an instance of `NihiiType`
`OriginType` | `createOriginType()` Create an instance of `OriginType`
`PackageType` | `createPackageType()` Create an instance of `PackageType`
`PaymentType` | `createPaymentType()` Create an instance of `PaymentType`
`PeriodType` | `createPeriodType()` Create an instance of `PeriodType`
`RecordCommonInputType` | `createRecordCommonInputType()` Create an instance of `RecordCommonInputType`
`RecordCommonOutputType` | `createRecordCommonOutputType()` Create an instance of `RecordCommonOutputType`
`RequestType` | `createRequestType()` Create an instance of `RequestType`
`SingleInsurabilityRequestType` | `createSingleInsurabilityRequestType()` Create an instance of `SingleInsurabilityRequestType`
`SingleInsurabilityResponseType` | `createSingleInsurabilityResponseType()` Create an instance of `SingleInsurabilityResponseType`
`TransferType` | `createTransferType()` Create an instance of `TransferType`
`ValueRefString` | `createValueRefString()` Create an instance of `ValueRefString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.genericinsurability.core.v1

Method Detail

### createSingleInsurabilityRequestType

    public SingleInsurabilityRequestType createSingleInsurabilityRequestType()

  Create an instance of `SingleInsurabilityRequestType`

### createCareReceiverIdType

    public CareReceiverIdType createCareReceiverIdType()

  Create an instance of `CareReceiverIdType`

### createInsurabilityRequestDetailType

    public InsurabilityRequestDetailType createInsurabilityRequestDetailType()

  Create an instance of `InsurabilityRequestDetailType`

### createPeriodType

    public PeriodType createPeriodType()

  Create an instance of `PeriodType`

### createSingleInsurabilityResponseType

    public SingleInsurabilityResponseType createSingleInsurabilityResponseType()

  Create an instance of `SingleInsurabilityResponseType`

### createMessageFaultType

    public MessageFaultType createMessageFaultType()

  Create an instance of `MessageFaultType`

### createMessageType

    public MessageType createMessageType()

  Create an instance of `MessageType`

### createDetailsType

    public DetailsType createDetailsType()

  Create an instance of `DetailsType`

### createDetailType

    public DetailType createDetailType()

  Create an instance of `DetailType`

### createMultiIOType

    public MultiIOType createMultiIOType()

  Create an instance of `MultiIOType`

### createCareReceiverDetailType

    public CareReceiverDetailType createCareReceiverDetailType()

  Create an instance of `CareReceiverDetailType`

### createInsurabilityResponseDetailType

    public InsurabilityResponseDetailType createInsurabilityResponseDetailType()

  Create an instance of `InsurabilityResponseDetailType`

### createGeneralSituationType

    public GeneralSituationType createGeneralSituationType()

  Create an instance of `GeneralSituationType`

### createTransferType

    public TransferType createTransferType()

  Create an instance of `TransferType`

### createPaymentType

    public PaymentType createPaymentType()

  Create an instance of `PaymentType`

### createHospitalizedType

    public HospitalizedType createHospitalizedType()

  Create an instance of `HospitalizedType`

### createMedicalHouseType

    public MedicalHouseType createMedicalHouseType()

  Create an instance of `MedicalHouseType`

### createInsurabilityListType

    public InsurabilityListType createInsurabilityListType()

  Create an instance of `InsurabilityListType`

### createInsurabilityItemType

    public InsurabilityItemType createInsurabilityItemType()

  Create an instance of `InsurabilityItemType`

### createCommonInputType

    public CommonInputType createCommonInputType()

  Create an instance of `CommonInputType`

### createRequestType

    public RequestType createRequestType()

  Create an instance of `RequestType`

### createOriginType

    public OriginType createOriginType()

  Create an instance of `OriginType`

### createValueRefString

    public ValueRefString createValueRefString()

  Create an instance of `ValueRefString`

### createCareProviderType

    public CareProviderType createCareProviderType()

  Create an instance of `CareProviderType`

### createIdType

    public IdType createIdType()

  Create an instance of `IdType`

### createNihiiType

    public NihiiType createNihiiType()

  Create an instance of `NihiiType`

### createPackageType

    public PackageType createPackageType()

  Create an instance of `PackageType`

### createLicenseType

    public LicenseType createLicenseType()

  Create an instance of `LicenseType`

### createRecordCommonInputType

    public RecordCommonInputType createRecordCommonInputType()

  Create an instance of `RecordCommonInputType`

### createCommonOutputType

    public CommonOutputType createCommonOutputType()

  Create an instance of `CommonOutputType`

### createRecordCommonOutputType

    public RecordCommonOutputType createRecordCommonOutputType()

  Create an instance of `RecordCommonOutputType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.14.2 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.